package eu.eudat.models.data.rda;

import eu.eudat.data.entities.Dataset;

import java.util.Date;

public class DatasetRDAExportModel {
	private DatasetIdRDAExportModel dataset_id;
	private String description;
	private Date issued; // created Date
	private String language;
	private String title;

	public DatasetIdRDAExportModel getDataset_id() {
		return dataset_id;
	}
	public void setDataset_id(DatasetIdRDAExportModel dataset_id) {
		this.dataset_id = dataset_id;
	}

	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}

	public Date getIssued() {
		return issued;
	}
	public void setIssued(Date issued) {
		this.issued = issued;
	}

	public String getLanguage() {
		return language;
	}
	public void setLanguage(String language) {
		this.language = language;
	}

	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}


	public DatasetRDAExportModel fromDataModel(Dataset dataset) {
		this.title = dataset.getLabel();
		this.issued = dataset.getCreated();
		this.language = "en"; // mock data
		this.dataset_id = new DatasetIdRDAExportModel(dataset.getId().toString(), "internal");
		return this;
	}
}
